OGRE: Ogre::LodData Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::LodData Struct Reference

`#include <OgreLodData.h>`

## Classes
struct | Edge
struct | IndexBufferInfo
union | IndexBufferPointer
struct | Triangle
struct | Vertex
struct | VertexEqual
struct | VertexHash

## Public Types
typedef multimap< Real, Vertex * >::type | CollapseCostHeap
typedef vector< IndexBufferInfo >::type | IndexBufferInfoList
typedef vector< Triangle >::type | TriangleList
typedef unordered_set< Vertex *, VertexHash, VertexEqual >::type | UniqueVertexSet
typedef VectorSet< Edge, 8 > | VEdges
typedef vector< Vertex >::type | VertexList
typedef VectorSet< Triangle *, 7 > | VTriangles

## Public Member Functions
| LodData ()

## Static Public Member Functions
template<typename T , typename A >
static size_t | getVectorIDFromPointer (const std::vector< T, A > &vec, const T *pointer)

## Public Attributes
CollapseCostHeap | mCollapseCostHeap
| Makes possible to get the vertices with the smallest collapse cost. More...
IndexBufferInfoList | mIndexBufferInfoList
Real | mMeshBoundingSphereRadius
TriangleList | mTriangleList
UniqueVertexSet | mUniqueVertexSet
| Provides position based vertex lookup. Position is the real identifier of a vertex. More...
bool | mUseVertexNormals
VertexList | mVertexList

## Static Public Attributes
static const Real | NEVER_COLLAPSE_COST
static const Real | UNINITIALIZED_COLLAPSE_COST

## Member Typedef Documentation

## ◆ CollapseCostHeap

typedef multimap<Real, Vertex*>::type Ogre::LodData::CollapseCostHeap

## ◆ IndexBufferInfoList

typedef vector<IndexBufferInfo>::type Ogre::LodData::IndexBufferInfoList

## ◆ TriangleList

typedef vector<Triangle>::type Ogre::LodData::TriangleList

## ◆ UniqueVertexSet

typedef unordered_set<Vertex*, VertexHash, VertexEqual>::type Ogre::LodData::UniqueVertexSet

## ◆ VEdges

typedef VectorSet<Edge, 8> Ogre::LodData::VEdges

## ◆ VertexList

typedef vector<Vertex>::type Ogre::LodData::VertexList

## ◆ VTriangles

typedef VectorSet<Triangle*, 7> Ogre::LodData::VTriangles

## Constructor & Destructor Documentation

## ◆ LodData()

Ogre::LodData::LodData | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getVectorIDFromPointer()

template<typename T , typename A >

static size_t Ogre::LodData::getVectorIDFromPointer | ( | const std::vector< T, A > & | vec,
|  | const T * | pointer
| ) |  |
| inlinestatic

References OgreAssert.

## Member Data Documentation

## ◆ mCollapseCostHeap

CollapseCostHeap Ogre::LodData::mCollapseCostHeap

Makes possible to get the vertices with the smallest collapse cost.

## ◆ mIndexBufferInfoList

IndexBufferInfoList Ogre::LodData::mIndexBufferInfoList

## ◆ mMeshBoundingSphereRadius

Real Ogre::LodData::mMeshBoundingSphereRadius

## ◆ mTriangleList

TriangleList Ogre::LodData::mTriangleList

## ◆ mUniqueVertexSet

UniqueVertexSet Ogre::LodData::mUniqueVertexSet

Provides position based vertex lookup. Position is the real identifier of a vertex.

## ◆ mUseVertexNormals

bool Ogre::LodData::mUseVertexNormals

## ◆ mVertexList

VertexList Ogre::LodData::mVertexList

## ◆ NEVER_COLLAPSE_COST

const Real Ogre::LodData::NEVER_COLLAPSE_COST
| static

## ◆ UNINITIALIZED_COLLAPSE_COST

const Real Ogre::LodData::UNINITIALIZED_COLLAPSE_COST
| static

The documentation for this struct was generated from the following file:

- OgreLodData.h